package com.sun.org.apache.xml.internal.security.utils.resolver;

import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;

public class ResourceResolverException extends XMLSecurityException
{
    private static final long serialVersionUID = 1L;
    private String uri;
    private String baseURI;
    
    public ResourceResolverException(String msgID, String uri, String baseURI) {
        super(msgID);
        this.uri = uri;
        this.baseURI = baseURI;
    }
    
    public ResourceResolverException(String msgID, Object[] exArgs, String uri, String baseURI) {
        super(msgID, exArgs);
        this.uri = uri;
        this.baseURI = baseURI;
    }
    
    public ResourceResolverException(Exception originalException, String uri, String baseURI, String msgID) {
        super(originalException, msgID);
        this.uri = uri;
        this.baseURI = baseURI;
    }
    
    @Deprecated
    public ResourceResolverException(String s, Exception ex, String s2, String s3) {
        this(ex, s2, s3, s);
    }
    
    public ResourceResolverException(Exception originalException, String uri, String baseURI, String msgID, Object[] exArgs) {
        super(originalException, msgID, exArgs);
        this.uri = uri;
        this.baseURI = baseURI;
    }
    
    @Deprecated
    public ResourceResolverException(String s, Object[] array, Exception ex, String s2, String s3) {
        this(ex, s2, s3, s, array);
    }
    
    public void setURI(String uri) {
        this.uri = uri;
    }
    
    public String getURI() {
        return this.uri;
    }
    
    public void setbaseURI(String baseURI) {
        this.baseURI = baseURI;
    }
    
    public String getbaseURI() {
        return this.baseURI;
    }
}
